Bug 568640 - Anti-aliasing is not enabled by default
Summary: Anti-aliasing is not enabled by default
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-26 08:19 UTC by Hedayat Vatankhah
Modified: 2018-04-11 17:06 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-20 14:56:35 UTC


Attachments (Terms of Use)
example java app with default settings (38.43 KB, image/png)
2010-02-26 09:16 UTC, Kamil Páral
no flags Details
example java app with AA property on (56.79 KB, image/png)
2010-02-26 09:16 UTC, Kamil Páral
no flags Details
screenshot of non-antialiased fonts (37.74 KB, image/png)
2010-03-15 18:19 UTC, Julian Sikorski
no flags Details
f13 and f14, without any user changes, antialiasing ok (289.51 KB, image/png)
2011-01-25 11:20 UTC, jiri vanek
no flags Details
snow leopard screenshot (19.80 KB, image/png)
2011-01-25 13:21 UTC, Julian Sikorski
no flags Details

Description Hedayat Vatankhah 2010-02-26 08:19:39 UTC
Description of problem:
If you run a Java SWING program in Fedora, the fonts appear really ugly. And there is no way for a normal user to know that he can enable font anti-aliasing for Java programs using the _JAVA_OPTIONS environment variable. It would be nice if it is enabled by default or at least if there is somewhere for a user to know this feature is available and how he can enable this feature.


How reproducible:
100%

Steps to Reproduce:
1. Run a swing java application on a clean system (e.g. netbeans 0.6.8)
  
Actual results:
The fonts appear ugly as they don't use anti-aliasing.

Expected results:
Nice looking fonts!

Comment 1 Kamil Páral 2010-02-26 09:16:07 UTC
Created attachment 396498 [details]
example java app with default settings

I was also bitten by this. By default Java fonts are unreadable and I didn't know why. Only after reading
http://hedayatvk.wordpress.com/2010/02/26/antialiasing-and-java/
I found out that simple
export _JAVA_OPTIONS="-Dawt.useSystemAAFontSettings=on"
is enough to have more readable fonts.

Please see attached example of default Java application look and aliased-fonts Java application look.

Just a note - in Ubuntu the aliased fonts are used by default.

Comment 2 Kamil Páral 2010-02-26 09:16:52 UTC
Created attachment 396499 [details]
example java app with AA property on

Comment 3 Mark Wielaard 2010-02-26 14:42:03 UTC
This looks to be fixed in the f13/rawhide packages, at least for netbeans, could you try those and see if those work as expected?

Comment 4 Hedayat Vatankhah 2010-02-26 16:52:54 UTC
I can't! BTW, it would be nice if it get fixed in Fedora 11 and specially Fedora 12.

Comment 5 Mark Wielaard 2010-02-26 17:00:30 UTC
There are updated packages available for testing:
yum --enablerepo=updates-testing update java-1.6.0-openjdk

Comment 6 Hedayat Vatankhah 2010-02-26 20:48:46 UTC
Thanks! It's enabled in the updated packages. :)

Comment 7 Julian Sikorski 2010-02-26 23:54:36 UTC
I can confirm that the packages from -testing fix the swing apps.
But, awt ones (as I was told) are still not anti-aliased:
http://ko.kurnik.pl/?br=antoniewo&g=1
Is there a way to fix the latter as well?

Comment 8 Leif Gruenwoldt 2010-03-03 15:21:30 UTC
Possible dupe of bug #539971

Comment 9 Fedora Update System 2010-03-13 17:51:27 UTC
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b17.fc11

Comment 10 Fedora Update System 2010-03-13 17:53:42 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b17.fc12

Comment 11 Fedora Update System 2010-03-15 09:29:10 UTC
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-35.b17.fc13

Comment 12 Deepak Bhole 2010-03-15 17:53:22 UTC
(In reply to comment #7)
> I can confirm that the packages from -testing fix the swing apps.
> But, awt ones (as I was told) are still not anti-aliased:
> http://ko.kurnik.pl/?br=antoniewo&g=1
> Is there a way to fix the latter as well?    

Can you attach screenshots by any chance? I am looking at the Sun plugin vs OpenJDk plugin rendering on my monitors and I see no difference (F12 + head).

Comment 13 Julian Sikorski 2010-03-15 18:19:56 UTC
Created attachment 400282 [details]
screenshot of non-antialiased fonts

Here you go. Please keep in mind though. that I'm not sure if Sun's plugin works correctly - I haven't used it since openjdk arrived.

Comment 14 Fedora Update System 2010-03-16 00:40:53 UTC
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-03-16 00:44:59 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-23 23:27:37 UTC
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Bug Zapper 2010-11-03 21:17:33 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 jiri vanek 2011-01-20 14:56:35 UTC
fixed upstream some (longer time)

Comment 19 Julian Sikorski 2011-01-22 10:52:43 UTC
I can still see the fonts non-antialiased in Fedora 14, did a fixed build ever made it to this branch?

Comment 20 jiri vanek 2011-01-25 11:20:55 UTC
Created attachment 475144 [details]
f13 and f14, without any user changes, antialiasing ok

Comment 21 Julian Sikorski 2011-01-25 13:21:45 UTC
Created attachment 475169 [details]
snow leopard screenshot

Yes, this works. The kurnik website does not.
OTOH, I have just checked that under osx and the main game window is not antialiased either, looks like it is only hinting there. But the text on the button is antialiased properly, while on Fedora it is not. Screenshot attached.

Comment 22 Reinout van Schouwen 2011-11-07 13:18:59 UTC
Seeing this problem pop up after upgrading Fedora 15 -> 16.


Note You need to log in before you can comment on or make changes to this bug.